package com.bocloud.cmp.model.installation.catalog;

import java.util.List;

/**
 * 物理机主板信息类
 *
 * @author Shaolong_tan
 */
public class Board {
    /**
     * 主板基本信息
     */
    private BoardBasic basic;
    /**
     * 主板BIOS基本信息
     */
    private BiosBasic biosBasic;
    /**
     * 主板BIOS语言信息
     */
    private BiosLanguage biosLang;
    /**
     * 缓存列表信息
     */
    private List<Cache> caches;
    /**
     * 系统插槽信息列表
     */
    private List<SystemSlot> slots;

    /**
     * @return the basic
     */
    public BoardBasic getBasic() {
        return basic;
    }

    /**
     * @param basic the basic to set
     */
    public void setBasic(BoardBasic basic) {
        this.basic = basic;
    }

    /**
     * @return the biosBasic
     */
    public BiosBasic getBiosBasic() {
        return biosBasic;
    }

    /**
     * @param biosBasic the biosBasic to set
     */
    public void setBiosBasic(BiosBasic biosBasic) {
        this.biosBasic = biosBasic;
    }

    /**
     * @return the biosLang
     */
    public BiosLanguage getBiosLang() {
        return biosLang;
    }

    /**
     * @param biosLang the biosLang to set
     */
    public void setBiosLang(BiosLanguage biosLang) {
        this.biosLang = biosLang;
    }

    /**
     * @return the caches
     */
    public List<Cache> getCaches() {
        return caches;
    }

    /**
     * @param caches the caches to set
     */
    public void setCaches(List<Cache> caches) {
        this.caches = caches;
    }

    /**
     * @return the slots
     */
    public List<SystemSlot> getSlots() {
        return slots;
    }

    /**
     * @param slots the slots to set
     */
    public void setSlots(List<SystemSlot> slots) {
        this.slots = slots;
    }
}
